package com.ema.common.aspect.logger;

import java.lang.annotation.*;

@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Logger {

    /**
     * 日志类型（0：登录；1：查询；2：新增；3：修改；4：删除；5：登出；6：导出；7：审核 ）
     */
    LogTypeEnum type();

    /**
     * 模块名称
     */
    String module() default "";

    /**
     * 方法名称
     */
    String name() default "";

}